## apertium 3.4.0~r61013

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT (apertium-3.4)

SET (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
SET (PROGRAM_FILES_PATH "C:/Program\ Files")

INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)

INCLUDE_DIRECTORIES (.)

IF (WIN32)
        SET(APERTIUM_PATH "$(dirname $BASH)")
        SET(LTTOOLBOX_PATH "$(dirname $BASH)")
        SET(DEFAULT_DIRECTORY "$(dirname $BASH)/../share/apertium")
ELSE (WIN32)
        # THIS IS NOT QUITE CORRECT FOR POSIX PLATFORMS.
        # TODO: Fix this
        SET(APERTIUM_PATH "${CMAKE_ROOT}/bin")
        SET(LTTOOLBOX_PATH "${CMAKE_ROOT}/bin")
        SET(DEFAULT_DIRECTORY "${CMAKE_ROOT}/share/apertium")
ENDIF (WIN32)

SET (SCRIPT_HEADER_FILE "${PROJECT_SOURCE_DIR}/apertium/script_header.sh.cmake_in")

IF (WIN32)
        SET (WIN32_DIR ${PROJECT_SOURCE_DIR}/apertium/win32)
        INCLUDE_DIRECTORIES (${WIN32_DIR})
        SET (EXTRA_SOURCES "${WIN32_DIR}/getopt.c" "${WIN32_DIR}/libgen.c")

        SET(FLEX_EXECUTABLE        ${PROGRAM_FILES_PATH}/GnuWin32/bin/flex.exe)

        SET(ICONV_BASE_DIR         ${PROGRAM_FILES_PATH}/iconv)
        SET(ICONV_INCLUDE_DIR      ${ICONV_BASE_DIR}/include)
	SET(ICONV_LIBRARIES        ${ICONV_BASE_DIR}/lib/iconv.lib)

        SET(LIBXML2_BASE_DIR       ${PROGRAM_FILES_PATH}/LibXML)
        SET(LIBXSLT_BASE_DIR       ${PROGRAM_FILES_PATH}/Libxslt)
        SET(LIBXML2_INCLUDE_DIR    ${LIBXML2_BASE_DIR}/include)
        SET(LIBXML2_LIBRARIES      ${LIBXML2_BASE_DIR}/lib/libxml2.lib)
        SET(XSLTPROC_EXECUTABLE    ${LIBXSLT_BASE_DIR}/bin/xsltproc.exe)

        SET(LTTOOLBOX3_BASE_DIR    ${PROGRAM_FILES_PATH}/apertium-3.2)
        SET(LTTOOLBOX3_INCLUDE_DIR ${LTTOOLBOX3_BASE_DIR}/include/lttoolbox-3.2)
        SET(LTTOOLBOX3_LIBRARIES   ${LTTOOLBOX3_BASE_DIR}/lib/lttoolbox3.lib)

        SET(LIBPCRE_BASE_DIR       ${PROGRAM_FILES_PATH}/PCRE) 
        SET(LIBPCRE_INCLUDE_DIR    "${LIBPCRE_BASE_DIR}/include")
        SET(LIBPCRE_LIBRARIES      "${LIBPCRE_BASE_DIR}/lib/pcrecpp.lib"
                                   "${LIBPCRE_BASE_DIR}/lib/pcreposix.lib"
                                   "${LIBPCRE_BASE_DIR}/lib/pcre.lib")

        ADD_DEFINITIONS (/D _CRT_SECURE_NO_WARNINGS /D STDC_HEADERS /D PCRE_STATIC)
ENDIF (WIN32)

INCLUDE (CMakeUseFlex)
INCLUDE (CMakeUseXsltproc)

FIND_PACKAGE (LibXml2    REQUIRED)
FIND_PACKAGE (Lttoolbox3 REQUIRED)
FIND_PACKAGE (LibPcre    REQUIRED)

SET (PACKAGE_BUGREPORT sortiz@users.sourceforge.net)
SET (PACKAGE_NAME      apertium/apertium.h)
SET (PACKAGE_STRING    apertium/apertium.h 3.4.0)
SET (PACKAGE_TARNAME   lttoolbox-lttoolbox-h)
SET (PACKAGE_VERSION   3.4.0)

MACRO (BOOL_CHECK_SYMBOL_EXISTS SYMBOL HEADER VAR)
        CHECK_SYMBOL_EXISTS (${SYMBOL} ${HEADER} ${VAR})
        IF (${VAR})
                SET (${VAR} "1")
        ELSE (${VAR})
                SET (${VAR} "0")
        ENDIF (${VAR})
ENDMACRO (BOOL_CHECK_SYMBOL_EXISTS)

BOOL_CHECK_SYMBOL_EXISTS (fputs_unlocked  stdio.h HAVE_DECL_FPUTS_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fgetc_unlocked  stdio.h HAVE_DECL_FGETC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputc_unlocked  stdio.h HAVE_DECL_FPUTC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fwrite_unlocked stdio.h HAVE_DECL_FWRITE_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fread_unlocked  stdio.h HAVE_DECL_FREAD_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fgetwc_unlocked stdio.h HAVE_DECL_FGETWC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputwc_unlocked stdio.h HAVE_DECL_FPUTWC_UNLOCKED)
BOOL_CHECK_SYMBOL_EXISTS (fputws_unlocked stdio.h HAVE_DECL_FPUTWS_UNLOCKED)

BOOL_CHECK_SYMBOL_EXISTS (_fputs_nolock  stdio.h HAVE_DECL_FPUTS_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fgetc_nolock  stdio.h HAVE_DECL_FGETC_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fputc_nolock  stdio.h HAVE_DECL_FPUTC_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fwrite_nolock stdio.h HAVE_DECL_FWRITE_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fread_nolock  stdio.h HAVE_DECL_FREAD_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fgetwc_nolock stdio.h HAVE_DECL_FGETWC_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fputwc_nolock stdio.h HAVE_DECL_FPUTWC_NOLOCK)
BOOL_CHECK_SYMBOL_EXISTS (_fputws_nolock stdio.h HAVE_DECL_FPUTWS_NOLOCK)

CHECK_FUNCTION_EXISTS (setlocale HAVE_SETLOCALE)
CHECK_FUNCTION_EXISTS (strdup HAVE_STRDUP)
CHECK_FUNCTION_EXISTS (getopt_long HAVE_GETOPT_LONG)

CONFIGURE_FILE (${PROJECT_SOURCE_DIR}/apertium/apertium_config.h.cmake_in ${PROJECT_SOURCE_DIR}/apertium/apertium_config.h)

ADD_SUBDIRECTORY (apertium)

=== apertium/CMakeLists.txt ===
INCLUDE_DIRECTORIES (${ICONV_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR} ${LTTOOLBOX3_INCLUDE_DIR} ${LIBPCRE_INCLUDE_DIR})
ADD_DEFINITIONS (${LIBXML2_DEFINITIONS} ${LTTOOLBOX3_DEFINITIONS})

SET(APERTIUM_LIBS ${LIBXML2_LIBRARIES} ${LTTOOLBOX3_LIBRARIES} ${LIBPCRE_LIBRARIES} ${ICONV_LIBRARIES})

MACRO (FROM_XML OUTPUT XSL XML)
        XSLTPROC (${OUTPUT}.yy ${XSL} ${XML})
        FLEX (${OUTPUT} "-Cfer" ${OUTPUT}.yy)
ENDMACRO (FROM_XML)

#IF (WIN32)
#        SET (FLEX_LIB flex_support)
#
#        ADD_EXECUTABLE (runner_skeleton ${WIN32_DIR}/runner_skeleton.c)
#ENDIF (WIN32)

MACRO (ADD_FORMATTER SRC_NAME XSL XML)
        FROM_XML (${SRC_NAME}.cc ${XSL} ${XML})        # Create SRC_NAME using the stylesheet XSL and the xml file XML
        STRING (REPLACE "_" "-" EXE_NAME ${SRC_NAME})  # Convert underscores to dashes for the executable names

        ADD_EXECUTABLE (${EXE_NAME} ${SRC_NAME}.cc "${WIN32_DIR}/regex.c")    # Compile EXE_NAME using the source file ${SRC_NAME}.cc
        TARGET_LINK_LIBRARIES (${EXE_NAME} ${LIBXML2_LIBRARIES} ${ICONV_LIBRARIES} ${LTTOOLBOX3_LIBRARIES} ) # Link the lttoolbox library to EXE_NAME

        LIST (APPEND INSTALLABLES ${EXE_NAME})
ENDMACRO (ADD_FORMATTER)

ADD_FORMATTER (apertium_destxt        deformat.xsl txt-format.xml)
ADD_FORMATTER (apertium_retxt         reformat.xsl txt-format.xml)
ADD_FORMATTER (apertium_deshtml       deformat.xsl html-format.xml)
ADD_FORMATTER (apertium_rehtml        reformat.xsl html-format.xml)
ADD_FORMATTER (apertium_desodt        deformat.xsl odt-format.xml)
ADD_FORMATTER (apertium_reodt         reformat.xsl odt-format.xml)
ADD_FORMATTER (apertium_desrtf        deformat.xsl rtf-format.xml)
ADD_FORMATTER (apertium_rertf         reformat.xsl rtf-format.xml)
ADD_FORMATTER (apertium_desrtf_cp1250 deformat.xsl rtf-format-cp1250.xml)
ADD_FORMATTER (apertium_rertf_cp1250  reformat.xsl rtf-format-cp1250.xml)
ADD_FORMATTER (apertium_desrtf_cp1251 deformat.xsl rtf-format-cp1251.xml)
ADD_FORMATTER (apertium_rertf_cp1251  reformat.xsl rtf-format-cp1251.xml)

ADD_LIBRARY (apertium3 SHARED collection.cc constant_manager.cc hmm.cc lswpost.cc interchunk.cc
             interchunk_word.cc lextor.cc lextor_data.cc lextor_eval.cc
             lextor_word.cc morpho_stream.cc postchunk.cc string_utils.cc
             tagger.cc tagger_data.cc tagger_data_hmm.cc tagger_data_lsw.cc tagger_utils.cc tagger_word.cc
             transfer.cc transfer_data.cc transfer_instr.cc endian_double_util.cc
             transfer_token.cc transfer_word.cc transfer_word_list.cc
             trx_reader.cc tsx_reader.cc utf_converter.cc apertium_re.cc)

LIST (APPEND INSTALLABLES apertium3)

SET(EXECUTABLE_LIBS ${APERTIUM_LIBS} apertium3)

MACRO (ADD_APERTIUM_EXE EXE_NAME SOURCE_NAME)
        ADD_EXECUTABLE (${EXE_NAME} ${SOURCE_NAME})
        TARGET_LINK_LIBRARIES (${EXE_NAME} ${EXECUTABLE_LIBS})
        LIST (APPEND INSTALLABLES ${EXE_NAME})
ENDMACRO (ADD_APERTIUM_EXE)

ADD_APERTIUM_EXE (apertium-pretransfer                  apertium_pretransfer.cc)
ADD_APERTIUM_EXE (apertium-tagger                       apertium_tagger.cc)
ADD_APERTIUM_EXE (apertium-preprocess-transfer          transferpp.cc)
ADD_APERTIUM_EXE (apertium-filter-ambiguity             apertium_filter_ambiguity.cc)
ADD_APERTIUM_EXE (apertium-transfer                     apertium_transfer.cc)
ADD_APERTIUM_EXE (apertium-interchunk                   apertium_interchunk.cc)
ADD_APERTIUM_EXE (apertium-postchunk                    apertium_postchunk.cc)
#ADD_APERTIUM_EXE (apertium-lextor                       apertium_lextor.cc)
ADD_APERTIUM_EXE (apertium-tagger-apply-new-rules       apertium_tagger_apply_new_rules.cc)
ADD_APERTIUM_EXE (apertium-gen-wlist-lextor-translation apertium_gen_wlist_lextor_translation.cc)

MACRO (ADD_SCRIPT SCRIPT_NAME SOURCE)
	SET (OUTPUT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${SCRIPT_NAME}")
	SET (SOURCE_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${SOURCE}")

	FILE (READ ${SOURCE_FILE} SCRIPT)
	CONFIGURE_FILE (${SCRIPT_HEADER_FILE} ${OUTPUT_FILE})

	INSTALL (PROGRAMS    ${SCRIPT_NAME}
		 DESTINATION bin)

#	IF (WIN32)
#		INSTALL (PROGRAMS    "${CMAKE_CURRENT_SOURCE_DIR}/runner_skeleton.exe"
#		         DESTINATION bin
#			 RENAME      ${SCRIPT_NAME}.exe)
#       ENDIF (WIN32)
ENDMACRO (ADD_SCRIPT)

ADD_SCRIPT (apertium apertium-header.sh)

INSTALL (TARGETS ${INSTALLABLES}
         RUNTIME DESTINATION bin
         LIBRARY DESTINATION lib
         ARCHIVE DESTINATION lib)

FILE(GLOB HEADERS *.h)

INSTALL (FILES ${HEADERS}
         DESTINATION include/apertium-3.4/apertium)

IF (WIN32)
	INSTALL (FILES ${PROJECT_SOURCE_DIR}/etc/LEAVE_THIS_DIRECTORY_HERE.txt
		 DESTINATION etc)

	INSTALL (PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/sh.exe"
	                  "${CMAKE_CURRENT_SOURCE_DIR}/dirname.exe"
			  "${CMAKE_CURRENT_SOURCE_DIR}/basename.exe"
			  "${CMAKE_CURRENT_SOURCE_DIR}/msys-1.0.dll"
		 DESTINATION bin)
ENDIF (WIN32)

## apertium 3.1.0

=== debian/changelog ===
apertium (3.1.0-2) unstable; urgency=low

  * Team upload
  * Package migrated to Debian Science
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Jun 2012 21:50:34 +0200

apertium (3.1.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #660715)
    - depend on dh-autoreconf and set compat to 7
    - add dh_autoreconf{,-clean} to debian/rules

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 03 Mar 2012 11:59:00 +0000

apertium (3.1.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621304).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 15:58:21 +0200

apertium (3.1.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix bashisms in various shell scripts in this package, since /bin/sh will
    not be bash by default in squeeze.  Thanks to Andres Mejia for the initial
    version of this patch.  Closes: #464491.
  * Set source format 3.0 (quilt) since we're patching the upstream source.
  * Drop versioned build-dep on libpcre3-dev (<< 7.9) which prevents us from
    rebuilding the package.  Closes: #581334.
  * Drop versioned dep on libpcre3 (<< 7.9) as well.  The versioned dependency
    actually exists between libpcre3 and the individual dictionary packages
    containing the compiled regexps, apertium itself is entirely agnostic
    regarding libpcre3 versions and should not have this hard-coded.
  * Lintian fixes:
    - add missing ${misc:Depends} to libapertium3-3.1-0-dev.
    - bump standards-version to 3.8.4 (no changes required).

 -- Steve Langasek <vorlon@debian.org>  Sun, 20 Jun 2010 21:56:56 +0000

apertium (3.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed Provides: apertium-pcre1 -> apertium-pcr2  (Closes: #503861)
  * Closes security in unstable that was in t-p-u. (Closes: #496395)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Fri, 20 Feb 2009 00:00:27 +0100

apertium (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 03 Feb 2009 20:14:08 +0000

apertium (3.0.7+1-2~lenny2) testing-proposed-updates; urgency=low

  * Fix PCRE dependency nightmare. (Closes: #503861)
  * Fix mktemp security symlink thing. (Closes: #496395)

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 3 Nov 2008 22:47:00 +0000

apertium (3.0.7+1-2) unstable; urgency=medium

  * Fix syntax error in previous upload. Patch thanks to Xavi 
    Drudis Ferran. (Closes: #498618)

 -- Francis Tyers <ftyers@prompsit.com>  Sat, 13 Sep 2008 11:10:07 +0100

apertium (3.0.7+1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace pid-based, hardcoded and $RANDOM-based temporary file names
    to prevent against symlink attacks. Based mostly on a patch by Moritz
    Muehlenhoff <jmm@inutil.org>. (Closes: #496395)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 06 Sep 2008 22:36:07 +0100

apertium (3.0.7+1-1) unstable; urgency=low

  * Fix FTBFS gcc-4.3.  Closes: #417083

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 26 Mar 2008 21:42:14 +0000

apertium (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 06 Dec 2007 12:01:18 +0000

apertium (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Double-free bug fixed. (Closes: #446785)

 -- Francis Tyers <ftyers@prompsit.com>  Thu, 18 Oct 2007 21:11:47 +0100

apertium (3.0.3-1) unstable; urgency=low

  * New upstream release
  * Now it doesn't over-optimise (Closes: #396001)
  * Optimisation was causing segfaults on amd64 systems,
    optimisations were removed, now does not 
    segfault (Closes: #446785)

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 16 Oct 2007 19:52:24 +0100

apertium (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Sun, 14 Oct 2007 19:39:10 +0100

apertium (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Wed, 03 Oct 2007 09:39:10 +0100

apertium (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <ftyers@prompsit.com>  Tue, 02 Oct 2007 20:30:16 +0100

apertium (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  5 Apr 2007 23:48:03 +0100

apertium (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Sat, 24 Mar 2007 14:37:23 +0000

apertium (1.0.3-3) unstable; urgency=high

  * Added install dependency for lttoolbox (Closes: #407050)

 -- Francis Tyers <f.tyers@uea.ac.uk>  Fri, 19 Jan 2007 10:08:28 +0000

apertium (1.0.3-2) unstable; urgency=low

  * Added lttoolbox dependency (Closes: #407050) 

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu, 18 Jan 2007 09:28:16 +0000

apertium (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Francis Tyers <f.tyers@uea.ac.uk>  Thu,  9 Nov 2006 12:30:55 +0000

apertium (1.0.1-1) unstable; urgency=low

  * Initial release Closes: #320930 

 -- Francis Tyers <f.tyers@uea.ac.uk>  Sun,  4 Jun 2006 23:56:02 +0100

=== debian/control ===
Source: apertium
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Francis Tyers <ftyers@prompsit.com>
Build-Depends: debhelper (>= 4.0.0), dh-autoreconf, autotools-dev, autoconf, libxml2-dev, pkg-config (>= 0.20), liblttoolbox3-3.1-0-dev (>= 3.1.0), libxml2-utils (>= 2.6.24), xsltproc (>= 1.1.16), flex (>= 2.5.33), libpcre3-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.apertium.org
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/apertium/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/apertium/

Package: apertium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lttoolbox (>= 3.1.0), libxml2-utils (>= 2.6.24)
Provides: apertium-pcre2
Description: Shallow-transfer machine translation engine
 An open-source shallow-transfer machine translation 
 engine, Apertium is initially aimed at related-language pairs.
 .
 It uses finite-state transducers for lexical processing, 
 hidden Markov models for part-of-speech tagging, and 
 finite-state based chunking for structural transfer.
 .
 The system is largely based upon systems already developed by 
 the Transducens  group at the Universitat d'Alacant, such as 
 interNOSTRUM (Spanish-Catalan, http://www.internostrum.com/welcome.php) 
 and Traductor Universia (Spanish-Portuguese, 
 http://traductor.universia.net).
 .
 It will be possible to use Apertium to build machine translation 
 systems for a variety of related-language pairs simply providing 
 the linguistic data needed in the right format.
 .

Package: libapertium3-3.1-0-dev
Section: libdevel
Architecture: any
Depends: libapertium3-3.1-0 (= ${binary:Version}), ${misc:Depends}
Provides: libapertium3-dev
Conflicts: libapertium3-dev
Description: Development library for Apertium
 Contains development files for the Apertium shallow-transfer
 machine translation engine.
 .

Package: libapertium3-3.1-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libapertium3
Conflicts: libapertium3
Description: Shared library for Apertium
 Contains shared library for the Apertium shallow-transfer
 machine translation engine.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g -O0
CXXFLAGS = -Wall -g -O0

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status:
	dh_testdir
	# Add here commands to configure the package.
	dh_autoreconf
	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/./usr
	#chmod a+x debian/tmp/usr/share/apertium/apertium-createmodes.awk


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	 dh_testdir
	 dh_testroot
	 dh_installchangelogs ChangeLog
	 dh_installdocs
	 dh_installexamples
	 dh_install --sourcedir=$(CURDIR)/debian/tmp
	 dh_installman
	 dh_link
	 dh_compress
	 dh_fixperms
	 dh_makeshlibs
	 dh_installdeb
	 dh_shlibdeps -L libapertium3-3.1-0 -l debian/tmp/usr/lib
	 dh_strip
	 dh_gencontrol
	 dh_md5sums
	 dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apertium 3.4.0~r61013

=== debian/changelog ===
apertium (3.4.0~r61013-5) unstable; urgency=medium

  * Rebuild for lttoolbox, again.

 -- Kartik Mistry <kartik@debian.org>  Sat, 06 Feb 2016 17:41:55 +0530

apertium (3.4.0~r61013-4) unstable; urgency=low

  * Rebuild for new lttoolbox (>= 3.3.2~).
  * debian/control:
    + Updated lttoolbox dependency.
    + Updated Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2016 09:57:51 +0530

apertium (3.4.0~r61013-3) unstable; urgency=low

  * Removed symbols file. It is causing build failures as of now.

 -- Kartik Mistry <kartik@debian.org>  Sun, 26 Jul 2015 09:30:49 -0500

apertium (3.4.0~r61013-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Disable static libraries.

  [ Kartik Mistry ]
  * debian/libapertium3-3.4-0.symbols:
    + Added symbols control file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jul 2015 14:13:22 +0530

apertium (3.4.0~r61013-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream snapshot.
  * Upload to unstable.

  [ Kartik Mistry ]
  * Do not add apertium-all-dev, apertium-all-languages and apertium-all-pairs
    metapackage until we package all dependencies.

 -- Kartik Mistry <kartik@debian.org>  Tue, 30 Jun 2015 19:59:07 +0530

apertium (3.3.0.56825-2) experimental; urgency=low

  * Add PCRE workaround patch (Closes: #757539) (Closes: #767069)

 -- Tino Didriksen <mail@tinodidriksen.com>  Tue, 28 Oct 2014 09:30:00 +0100

apertium (3.3.0.56825-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release
  * Standards-Version updated to version 3.9.6
  * Using upstream release from svn, to avoid pre-generated automake files
  * Re-done packaging to take advantage of debhelper 9
  * Added multiarch support
  * Builds with clang (Closes: #748976)
  * 3.3 includes all of 3.2 (Closes: #753459)

  [ Kartik Mistry ]
  * Added myself as uploader.
  * wrap-and-sort control and install files.
  * Updated VCS-* fields.
  * Added debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Wed, 24 Sep 2014 10:23:13 +0530

=== debian/control ===
Source: apertium
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               autotools-dev,
               debhelper (>= 9.0),
               dh-autoreconf,
               dh-exec (>= 0.3),
               flex (>= 2.5.33),
               libpcre3-dev,
               libxml2-dev,
               libxml2-utils (>= 2.6.24),
               lttoolbox-dev (>= 3.3.1),
               pkg-config (>= 0.20),
               xsltproc (>= 1.1.16)
Standards-Version: 3.9.6
Homepage: http://apertium.org/
Vcs-Git: https://anonscm.debian.org/debian-science/packages/apertium.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git

Package: apertium
Architecture: any
Depends: libxml2-utils (>= 2.6.24),
         lttoolbox (>= 3.3.1),
         xsltproc (>= 1.1.16),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Shallow-transfer machine translation engine
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 It uses finite-state transducers for lexical processing,
 hidden Markov models for part-of-speech tagging, and
 finite-state based chunking for structural transfer.
 .
 The system is largely based upon systems already developed by
 the Transducens  group at the Universitat d'Alacant, such as
 interNOSTRUM (Spanish-Catalan, http://www.internostrum.com/welcome.php)
 and Traductor Universia (Spanish-Portuguese,
 http://traductor.universia.net).
 .
 It will be possible to use Apertium to build machine translation
 systems for a variety of related-language pairs simply providing
 the linguistic data needed in the right format.

Package: libapertium3-3.4-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libapertium
Conflicts: libapertium, libapertium3
Replaces: libapertium, libapertium3
Description: Shared library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains shared library for the Apertium
 shallow-transfer machine translation engine.

Package: apertium-dev
Architecture: any
Depends: apertium (= ${binary:Version}),
         libpcre3-dev,
         libxml2-dev,
         lttoolbox-dev (>= 3.3.1),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libapertium3-dev
Replaces: libapertium3-dev
Description: Development tools and library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains development files for the Apertium
 shallow-transfer machine translation engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/apertium/apertium \
.*=apertium(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## apertium 3.4.2~r68466

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,9 +62,9 @@
 
 SET (PACKAGE_BUGREPORT sortiz@users.sourceforge.net)
 SET (PACKAGE_NAME      apertium/apertium.h)
-SET (PACKAGE_STRING    apertium/apertium.h 3.4.0)
+SET (PACKAGE_STRING    apertium/apertium.h 3.4.2)
 SET (PACKAGE_TARNAME   lttoolbox-lttoolbox-h)
-SET (PACKAGE_VERSION   3.4.0)
+SET (PACKAGE_VERSION   3.4.2)
 
 MACRO (BOOL_CHECK_SYMBOL_EXISTS SYMBOL HEADER VAR)
         CHECK_SYMBOL_EXISTS (${SYMBOL} ${HEADER} ${VAR})

=== debian/changelog ===
apertium (3.4.2~r68466-4) unstable; urgency=medium

  * debian/patches/00-parallel-ftbfs.patch:
    + Added patch to fix frequent parallel FTBFS. Patch by Adrian Bunk
      <bunk@debian.org> (Closes: #886361)

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Jan 2018 10:11:44 +0530

apertium (3.4.2~r68466-3) unstable; urgency=low

  [ Tino Didriksen ]
  * Rename libhfstNN-dev to plain libhfst-dev (Closes: #885450)

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.1.2.0
    + Set Section to libs for libapertium package.
  * Set debian/compat to 11:
    + Removed autoconf, autotools-dev, dh-autoreconf from Build-Depends.
    + Build-Depends on debhelper (>= 11).
  * Added Hardening support.
  * debian/rules:
    * Make apertium-createmodes.awk script executable.
  * Added lintian overrides for:
    + Duplicate triggers.
    + Missing symbol control file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Dec 2017 18:13:48 +0530

apertium (3.4.2~r68466-2) unstable; urgency=medium

  [ Tino Didriksen ]
  * Update depends for newer libhfst49-dev (Closes: #874563)

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.0.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Sep 2017 18:54:43 +0530

apertium (3.4.2~r68466-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release.
  * New binary metapackage: apertium-all-dev.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * Use dpkg triggers instead of postinst.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jun 2016 09:07:31 +0530

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: autoconf,
-               autotools-dev,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                dh-exec (>= 0.3),
+               dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.3.1),
+               lttoolbox-dev (>= 3.3.3~r68466),
                pkg-config (>= 0.20),
+               python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.2.0
 Homepage: http://apertium.org/
-Vcs-Git: https://anonscm.debian.org/debian-science/packages/apertium.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
 
 Package: apertium
 Architecture: any
 Depends: libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.3.1),
+         lttoolbox (>= 3.3.3~r68466),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -47,6 +46,7 @@
  the linguistic data needed in the right format.
 
 Package: libapertium3-3.4-0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -66,7 +66,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.3.1),
+         lttoolbox-dev (>= 3.3.3~r68466),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -77,3 +77,16 @@
  .
  This package contains development files for the Apertium
  shallow-transfer machine translation engine.
+
+Package: apertium-all-dev
+Architecture: all
+Depends: apertium-dev (>= ${source:Version}),
+         apertium-lex-tools (>= 0.1.1~r60994),
+         cg3 (>= 0.9.9~r11621),
+         hfst (>= 3.13.0~r3461),
+         libhfst-dev (>= 3.13.0~r3461),
+         ${misc:Depends}
+Description: Metapackage for all tools required for Apertium development
+ A metapackage to get all tools required for development of Apertium
+ languages and pairs, such as lttoolbox, apertium, apertium-lex-tools,
+ cg3, and hfst.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --fail-missing --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	chmod +x $(CURDIR)/debian/tmp/usr/share/apertium/apertium-createmodes.awk
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

=== debian/watch ===
version=3
http://sf.net/apertium/apertium-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apertium 3.5.1

=== debian/changelog ===
apertium (3.5.1-1) unstable; urgency=low

  * Update to latest upstream (Closes: #886361)

 -- Tino Didriksen <tino@didriksen.cc>  Mon, 26 Mar 2018 16:07:23 +0200

apertium (3.5.0~r84331-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * Undo debhelper 11 in favour of 9.

  [ Kartik Mistry ]
  * debian/control, debian/copyright:
    + Updated URLs.

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Mar 2018 10:19:56 +0530

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,30 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: autoconf,
+               autotools-dev,
+               debhelper (>= 9.0),
+               dh-autoreconf,
                dh-exec (>= 0.3),
                dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.3.3~r68466),
+               lttoolbox-dev (>= 3.4.0~r83591),
                pkg-config (>= 0.20),
                python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 4.1.2.0
-Homepage: http://apertium.org/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium.git
+Standards-Version: 4.1.3
+Homepage: https://apertium.org/
+Vcs-Git: https://salsa.debian.org/science-team/apertium.git
+Vcs-Browser: https://salsa.debian.org/science-team/apertium
 
 Package: apertium
 Architecture: any
-Depends: libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.3.3~r68466),
+Depends: libapertium3-3.5-1 (= ${binary:Version}),
+         libxml2-utils (>= 2.6.24),
+         lttoolbox (>= 3.4.0~r83591),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -45,7 +49,7 @@
  systems for a variety of related-language pairs simply providing
  the linguistic data needed in the right format.
 
-Package: libapertium3-3.4-0
+Package: libapertium3-3.5-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -66,7 +70,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.3.3~r68466),
+         lttoolbox-dev (>= 3.4.0~r83591),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -82,9 +86,17 @@
 Architecture: all
 Depends: apertium-dev (>= ${source:Version}),
          apertium-lex-tools (>= 0.1.1~r60994),
-         cg3 (>= 0.9.9~r11621),
+         automake,
+         build-essential,
+         cg3 (>= 1.0.0~r12254),
+         gawk,
          hfst (>= 3.13.0~r3461),
+         libcg3-dev (>= 1.0.0~r12254),
          libhfst-dev (>= 3.13.0~r3461),
+         libtool,
+         locales,
+         pkg-config,
+         subversion,
          ${misc:Depends}
 Description: Metapackage for all tools required for Apertium development
  A metapackage to get all tools required for development of Apertium

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,14 @@
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export LC_ALL=C.UTF-8
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --with autoreconf
+	dh $@ --fail-missing --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static

=== debian/watch ===
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/apertium-$1\.tar\.gz/ \
  https://github.com/apertium/apertium/releases .*/v?(\d\S+)\.tar\.gz

## apertium 3.5.2

=== debian/changelog ===
apertium (3.5.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream

  [ Kartik Mistry ]
  * Updated debian/watch file with version.
  * debian/control:
    + Updated for dh 11.
    + Removed cyclic dependencies for apertium-all-dev.
  * debian/rules:
    + Updated for dh 11
    + Remove duplicate README.

 -- Kartik Mistry <kartik@debian.org>  Sat, 13 Oct 2018 19:55:47 +0530

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
-               autotools-dev,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+               debhelper (>= 11),
                dh-exec (>= 0.3),
                dpkg-dev (>= 1.16.1.1),
                flex (>= 2.5.33),
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils (>= 2.6.24),
-               lttoolbox-dev (>= 3.4.0~r83591),
+               lttoolbox-dev (>= 3.5.0),
                pkg-config (>= 0.20),
                python3,
                xsltproc (>= 1.1.16)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium
@@ -27,7 +25,7 @@
 Architecture: any
 Depends: libapertium3-3.5-1 (= ${binary:Version}),
          libxml2-utils (>= 2.6.24),
-         lttoolbox (>= 3.4.0~r83591),
+         lttoolbox (>= 3.5.0),
          xsltproc (>= 1.1.16),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -70,7 +68,7 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.4.0~r83591),
+         lttoolbox-dev (>= 3.5.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libapertium3-dev
@@ -85,14 +83,13 @@
 Package: apertium-all-dev
 Architecture: all
 Depends: apertium-dev (>= ${source:Version}),
-         apertium-lex-tools (>= 0.1.1~r60994),
          automake,
-         build-essential,
-         cg3 (>= 1.0.0~r12254),
+         cg3 (>= 1.1.6),
          gawk,
-         hfst (>= 3.13.0~r3461),
-         libcg3-dev (>= 1.0.0~r12254),
-         libhfst-dev (>= 3.13.0~r3461),
+         git,
+         hfst (>= 3.14.0),
+         libcg3-dev (>= 1.1.6),
+         libhfst-dev (>= 3.14.0),
          libtool,
          locales,
          pkg-config,
@@ -100,5 +97,4 @@
          ${misc:Depends}
 Description: Metapackage for all tools required for Apertium development
  A metapackage to get all tools required for development of Apertium
- languages and pairs, such as lttoolbox, apertium, apertium-lex-tools,
- cg3, and hfst.
+ languages and pairs, such as lttoolbox, apertium, cg3, and hfst.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --parallel --with autoreconf
+	dh $@ --fail-missing --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static
@@ -19,3 +19,5 @@
 	dh_auto_install
 	chmod +x $(CURDIR)/debian/tmp/usr/share/apertium/apertium-createmodes.awk
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+	#Remove duplicate README
+	rm -f $(CURDIR)/debian/tmp/usr/share/apertium/modes/README

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-$1.tar.gz%" \
     https://github.com/apertium/apertium/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium 3.6.1

=== debian/changelog ===
apertium (3.6.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:48 +0100

apertium (3.6.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:40:08 +0000

apertium (3.6.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Added new binary for Python module.
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.1
    + Split apertium-all-dev to its own package.
  * Prefer duplicate README-MODES in the modes folder.
  * Lintian overrides:
    + Ignore modes/README.
    + man .Lk syntax warnings.

 -- Kartik Mistry <kartik@debian.org>  Thu, 24 Oct 2019 13:41:25 +0530

apertium (3.5.2-2) unstable; urgency=low

  * Added Salsa CI Pipeline config.
  * Updated Standards-Version to 4.3.0

 -- Kartik Mistry <kartik@debian.org>  Tue, 21 May 2019 17:49:47 +0530

=== debian/control ===
Source: apertium
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               debhelper (>= 12),
               dh-exec,
               dh-python,
               flex,
               libpcre3-dev,
               libxml2-dev,
               libxml2-utils,
               lttoolbox-dev (>= 3.5.1),
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig,
               unzip,
               xsltproc,
               zip,
               zipcmp
Standards-Version: 4.4.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium

Package: apertium
Architecture: any
Depends: libapertium3-3.6-1 (= ${binary:Version}),
         libxml2-utils,
         lttoolbox (>= 3.5.1),
         xsltproc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: unzip, zip
Description: Shallow-transfer machine translation engine
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 It uses finite-state transducers for lexical processing,
 hidden Markov models for part-of-speech tagging, and
 finite-state based chunking for structural transfer.
 .
 The system is largely based upon systems already developed by
 the Transducens  group at the Universitat d'Alacant, such as
 interNOSTRUM (Spanish-Catalan, http://www.internostrum.com/welcome.php)
 and Traductor Universia (Spanish-Portuguese,
 http://traductor.universia.net).
 .
 It will be possible to use Apertium to build machine translation
 systems for a variety of related-language pairs simply providing
 the linguistic data needed in the right format.

Package: libapertium3-3.6-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libapertium
Conflicts: libapertium, libapertium3
Replaces: libapertium, libapertium3
Description: Shared library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains shared library for the Apertium
 shallow-transfer machine translation engine.

Package: python3-apertium-core
Architecture: any
Section: python
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Shallow-transfer machine translation engine (Python 3 module)
 Python 3 module for applications using the Apertium shallow-transfer
 machine translation engine module.

Package: apertium-dev
Architecture: any
Depends: apertium (= ${binary:Version}),
         libpcre3-dev,
         libxml2-dev,
         lttoolbox-dev (>= 3.5.1),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Conflicts: libapertium3-dev
Replaces: libapertium3-dev
Description: Development tools and library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains development files for the Apertium
 shallow-transfer machine translation engine.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-$1.tar.gz%" \
    https://github.com/apertium/apertium/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium 3.7.1

=== debian/changelog ===
apertium (3.7.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Append the endianness to the PCRE version (Closes: #977753)

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Dec 2020 09:42:17 +0530

apertium (3.7.0-1) unstable; urgency=low

  * Update to latest upstream
  * Remove patch as it's been integrated upstream
  * Split off apertium-get to its own package, but Recommend it
  * Recommend Transfuse
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 26 Nov 2020 21:30:24 +0100

apertium (3.6.1-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Added patch to fix FTBFS with GCC 10 (Closes: #957002)
  * debian/control:
    + Updated dh to 13.
    + Updated Standards-Version to 4.5.0
  * Remove superfluous trigger and warning.

  [ Kartik Mistry ]
  * Updated Lintian overrides.
  * Added debian/upstream/metadata.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Jul 2020 20:18:56 +0530

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,43 @@
 Source: apertium
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
-               debhelper (>= 12),
+               debhelper-compat (= 13),
                dh-exec,
                dh-python,
                flex,
+               libicu-dev,
                libpcre3-dev,
                libxml2-dev,
                libxml2-utils,
-               lttoolbox-dev (>= 3.5.1),
+               lttoolbox-dev (>= 3.5.3),
                pkg-config,
                python3-dev,
+               python3-lxml,
                python3-setuptools,
                swig,
                unzip,
                xsltproc,
                zip,
                zipcmp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium
+Rules-Requires-Root: no
 
 Package: apertium
 Architecture: any
-Depends: libapertium3-3.6-1 (= ${binary:Version}),
+Depends: libapertium3-3.7-1 (= ${binary:Version}),
          libxml2-utils,
-         lttoolbox (>= 3.5.1),
+         lttoolbox (>= 3.5.3),
          xsltproc,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: unzip, zip
+Recommends: transfuse, unzip, zip
 Description: Shallow-transfer machine translation engine
  An open-source shallow-transfer machine translation
  engine, Apertium is initially aimed at related-language pairs.
@@ -53,7 +56,7 @@
  systems for a variety of related-language pairs simply providing
  the linguistic data needed in the right format.
 
-Package: libapertium3-3.6-1
+Package: libapertium3-3.7-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -84,10 +87,11 @@
 Depends: apertium (= ${binary:Version}),
          libpcre3-dev,
          libxml2-dev,
-         lttoolbox-dev (>= 3.5.1),
+         lttoolbox-dev (>= 3.5.3),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Recommends: apertium-get
 Conflicts: libapertium3-dev
 Replaces: libapertium3-dev
 Description: Development tools and library for Apertium

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'

override_dh_auto_install:
	dh_auto_install
	chmod +x $(CURDIR)/debian/tmp/usr/share/apertium/apertium-createmodes.awk
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.bz2%apertium-$1.tar.bz2%" \
    https://github.com/apertium/apertium/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
